#### KEYDISP

#### Synopsis

    HELP:   (HOST) Key disposition for index/key sequential data sets [OLD]
    TYPE:   NUMBER
    SYNTAX: KEYDISP/KEYD=OLD/NEW/DEL

#### Description

Key processing during decompression (z/OS only).

This parameter allows or simplifies the automatic conversion of sequential files into index sequential files and vice versa.

See also parameter KEYLENGTH.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `KEYDISP=OLD/DEL/NEW`
  - `KEYD=OLD/DEL/NEW`

Values

- z/OS
  - `OLD` - The records of the original file are reconstructed as they were read in (key + data).
  - `DEL` - If the original file has a key length unequal 0, the key is removed.
  - `NEW` - If the output file has a key length unequal 0, a key is generated at the key position in the specified key length. The key is generated from a record sequence number (16 characters max.).

Default

- z/OS
  - `OLD`

Valid for

- decompression

#### Selections

- `OLD - Key disposition OLD (keep the existing key)`
- `NEW - Key disposition NEW (insert record number as key)`
- `DEL - Key disposition DEL (delete key from record)`